// ==================================================
// Project Name  :  Strom E-Commerce
// File          :  JS Base
// Version       :  1.0.0
// Work Start    :  20 May 2018
// Work End      :  -- ----- 2018
// Last change   :  -- ----- ----
// Author        :  -------------
// Developer     :  Rakibul Islam Dewan
// ==================================================




(function($) {
  "use strict";





  // digital-slider (home-digital-1) - start
  // --------------------------------------------------
  $('#digital-slider').slick({
    speed: 500,
    fade: true,
    dots: false,
    arrows: true,
    infinite: true,
    autoplay: true,
    cssEase: 'linear',
    autoplaySpeed: 3000,
  });
  // digital-slider (home-digital-1) - end
  // --------------------------------------------------





  // furniture-slider - start
  // --------------------------------------------------
  $('#furniture-slider').owlCarousel({
    items:1,
    margin:0,
    nav:false,
    loop:true,
    autoplay:true,
    smartSpeed:450
  });
  // furniture-slider - end
  // --------------------------------------------------





  // onsale-product-carousel (home-digital-1) - start
  // --------------------------------------------------
  $('#onsale-product-carousel').owlCarousel({
    items:1,
    nav:true,
    margin:10,
    loop:true,
    dots:false,
    autoplay:true,
    smartSpeed:450
  });
  // onsale-product-carousel (home-digital-1) - end
  // --------------------------------------------------





  // brand-logo-carousel (home-digital-1) - start
  // --------------------------------------------------
  $('#brand-logo-carousel').owlCarousel({
    items:4,
    nav:true,
    loop:true,
    margin:30,
    dots:false,
    autoplay:true,
    smartSpeed:1000
  });
  // brand-logo-carousel (home-digital-1) - end
  // --------------------------------------------------





  // deal-product-carousel (home-digital-2) - start
  // --------------------------------------------------
  $('#deal-product-carousel').owlCarousel({
    items:3,
    nav:true,
    loop:true,
    margin:30,
    dots:false
  });
  // deal-product-carousel (home-digital-2) - end
  // --------------------------------------------------





  // food-deal-carousel (home-food-2) - start
  // --------------------------------------------------
  $('#food-deal-carousel').owlCarousel({
    items:2,
    nav:true,
    loop:true,
    margin:30,
    dots:false
  });
  // food-deal-carousel (home-food-2) - end
  // --------------------------------------------------





  // electronics-device-carousel (home-digital-2) - start
  // --------------------------------------------------
  $('#electronics-device-carousel').owlCarousel({
    items:3,
    nav:true,
    loop:true,
    margin:30,
    dots:false
  })
  // electronics-device-carousel (home-digital-2) - end
  // --------------------------------------------------





  // masonry-layout - start
  // --------------------------------------------------
  var $grid = $('.grid').imagesLoaded( function() {
    $grid.masonry({
      percentPosition: true,
      itemSelector: '.grid-item',
      columnWidth: '.grid-sizer'
    }); 
  });
  // masonry-layout - end
  // --------------------------------------------------





  // blog-carousel (home-digital-2) - start
  // --------------------------------------------------
  $('#blog-carousel').owlCarousel({
    items:3,
    nav:true,
    loop:true,
    margin:30,
    dots:false
  })
  // blog-carousel (home-digital-2) - end
  // --------------------------------------------------





  // sidebar-testimonial-carousel (home-food-1) - start
  // --------------------------------------------------
  $('#sidebar-testimonial-carousel').owlCarousel({
    items:1,
    loop:true,
    margin:10,
    nav:false
  });
  // sidebar-testimonial-carousel (home-food-1) - end
  // --------------------------------------------------





  // healthy-food-carousel (home-food-1) - start
  // --------------------------------------------------
  $('#healthy-food-carousel').owlCarousel({
    items:3,
    nav:true,
    loop:true,
    margin:30,
    dots:false
  });
  // healthy-food-carousel (home-food-1) - end
  // --------------------------------------------------





  // icecream-carousel (home-food-2) - start
  // --------------------------------------------------
  $('#all-icecream-carousel').owlCarousel({
    items:3,
    nav:true,
    loop:true,
    margin:10,
    dots: false
  });
  $('#ice-cream-carousel').owlCarousel({
    items:3,
    nav:true,
    loop:true,
    margin:10,
    dots: false
  });
  $('#coffee-creamers-carousel').owlCarousel({
    items:3,
    nav:true,
    loop:true,
    margin:10,
    dots: false
  });
  $('#heavy-creams-carousel').owlCarousel({
    items:3,
    nav:true,
    loop:true,
    margin:10,
    dots: false
  });
  // icecream-carousel (home-food-2) - end
  // --------------------------------------------------





  // product details - start
  // --------------------------------------------------
  $(".slider-for").slick({
    fade: true,
    arrows: true,
    autoplay: false,
    slidesToShow: 1,
    slidesToScroll: 1,
    asNavFor: ".slider-nav"
  });
  $(".slider-nav").slick({
    dots: false,
    slidesToShow: 3,
    centerMode: true,
    slidesToScroll: 1,
    focusOnSelect: true,
    asNavFor: ".slider-for"
  });
  // product details - end
  // --------------------------------------------------





  // new-furniture-carousel (home-furniture-1) - start
  // --------------------------------------------------
  $('#new-furniture-carousel').owlCarousel({
    items:1,
    nav:true,
    loop:true,
    margin:10,
    dots:false
  });
  // new-furniture-carousel (home-furniture-1) - end
  // --------------------------------------------------





  // top-rated-furniture-carousel (home-furniture-1) - start
  // --------------------------------------------------
  $('#top-rated-furniture-carousel').owlCarousel({
    items:1,
    nav:true,
    loop:true,
    margin:10,
    dots:false
  });
  // top-rated-furniture-carousel (home-furniture-1) - end
  // --------------------------------------------------





  // back to top - start
  // --------------------------------------------------
  // $(window).scroll(function() {
  //   if ($(this).scrollTop() > 200) {
  //     $('.backtotop:hidden').stop(true, true).fadeIn();
  //   } else {
  //     $('.backtotop').stop(true, true).fadeOut();
  //   }
  // });
  // $(function() {
  //   $(".scroll").click(function() {
  //     $("html,body").animate({
  //       scrollTop: $(".thetop").offset().top
  //     }, "slow");
  //     return false
  //   })
  // });
  // back to top - end
  // --------------------------------------------------




  
  // preloader - start
  // --------------------------------------------------
  // $(window).on('load', function(){
  //   $('#preloader').fadeOut('slow',function(){$(this).remove();});
  // });
  // preloader - end
  // --------------------------------------------------





  // google map - start
  // --------------------------------------------------
  function isMobile() { 
    return ('ontouchstart' in document.documentElement);
  }

  function init_gmap() {
    if ( typeof google == 'undefined' ) return;
    var options = {
      center: [1.2960841, 103.8458455],
      zoom: 14,
      styles: [
      {elementType: 'geometry', stylers: [{color: '#eaeaea'}]},
      {elementType: 'labels.text.stroke', stylers: [{color: '#ffffff'}]},
      {elementType: 'labels.text.fill', stylers: [{color: '#000000'}]},
      {
        featureType: 'administrative.locality',
        elementType: 'labels.text.fill',
        stylers: [{color: '#d59563'}]
      },
      {
        featureType: 'poi',
        elementType: 'labels.text.fill',
        stylers: [{color: '#61605e'}]
      },
      {
        featureType: 'poi.park',
        elementType: 'geometry',
        stylers: [{color: '#cbe99f'}]
      },
      {
        featureType: 'poi.park',
        elementType: 'labels.text.fill',
        stylers: [{color: '#98786d'}]
      },
      {
        featureType: 'road',
        elementType: 'geometry',
        stylers: [{color: '#ffffff'}]
      },
      {
        featureType: 'road',
        elementType: 'geometry.stroke',
        stylers: [{color: '#ffffff'}]
      },
      {
        featureType: 'road',
        elementType: 'labels.text.fill',
        stylers: [{color: '#39c2f8'}]
      },
      {
        featureType: 'road.highway',
        elementType: 'geometry',
        stylers: [{color: '#fedd96'}]
      },
      {
        featureType: 'road.highway',
        elementType: 'geometry.stroke',
        stylers: [{color: '#eeca83'}]
      },
      {
        featureType: 'road.highway',
        elementType: 'labels.text.fill',
        stylers: [{color: '#965c28'}]
      },
      {
        featureType: 'transit',
        elementType: 'geometry',
        stylers: [{color: '#fef5b6'}]
      },
      {
        featureType: 'transit.station',
        elementType: 'labels.text.fill',
        stylers: [{color: '#f1e0ca'}]
      },
      {
        featureType: 'water',
        elementType: 'geometry',
        stylers: [{color: '#a1cafe'}]
      },
      {
        featureType: 'water',
        elementType: 'labels.text.fill',
        stylers: [{color: '#000000'}]
      },
      {
        featureType: 'water',
        elementType: 'labels.text.stroke',
        stylers: [{color: '#ffffff'}]
      }
      ],
      mapTypeControl: true,
      mapTypeControlOptions: {
        style: google.maps.MapTypeControlStyle.DROPDOWN_MENU
      },
      navigationControl: true,
      scrollwheel: false,
      streetViewControl: true,
    }

    if (isMobile()) {
      options.draggable = false;
    }

    $('#google-map').gmap3({
      map: {
        options: options
      },
      marker: {
        latLng: [1.2960841, 103.8458455],
        // options: { icon: 'assets/img/map.png' }
      }
    });
  }
  init_gmap();
  // google map - end
  // --------------------------------------------------




  
})(jQuery);